//+------------------------------------------------------------------+
//|                                                 BullsBearsMA.mq4 |
//|                                      Copyright Herb Spirit, Inc. |
//|                                    http://www.herbspirit.com/mql |
//+------------------------------------------------------------------+
#property copyright "Copyright Herb Spirit, Inc."
#property link      "http://www.herbspirit.com/mql"

#property indicator_separate_window
#property indicator_buffers 2
#property indicator_color1 Lime
#property indicator_color2 Red
//---- input parameters
extern int       maPeriod=21;
extern int       maShift=0;
extern int		  maMethod=MODE_SMA;
//---- buffers
double maBulls[];
double maBears[];
//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
//---- indicators
   SetIndexStyle(0,DRAW_LINE);
   SetIndexBuffer(0,maBulls);
   SetIndexStyle(1,DRAW_LINE);
   SetIndexBuffer(1,maBears);
   IndicatorDigits(1);
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
  {
	double ptBulls[];
	double ptBears[];
   int limit=MathMin(Bars,Bars-IndicatorCounted()+maPeriod);
   ArrayResize(ptBulls,limit);
   ArraySetAsSeries(ptBulls,true);
   ArrayResize(ptBears,limit);
   ArraySetAsSeries(ptBears,true);
   for(int i=0;i<limit;i++)
   {
   	ptBears[i]=(High[i]-Close[i])/Point;
   	ptBulls[i]=(Close[i]-Low[i])/Point;
   }
   for(i=0;i<limit-maPeriod;i++)
   {
   	maBulls[i]=iMAOnArray(ptBulls,0,maPeriod,maShift,maMethod,i);
   	maBears[i]=iMAOnArray(ptBears,0,maPeriod,maShift,maMethod,i);
   }
   return(0);
  }
//+------------------------------------------------------------------+